Bug 1467647 - anaconda installation failed with DVD iso mountd over nfs for f26
Summary: anaconda installation failed with DVD iso mountd over nfs for f26
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 26
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2017-07-04 12:39 UTC by Menanteau Guy
Modified: 2018-05-29 11:22 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:22:32 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2017-07-04 12:39:36 UTC
I tried to verify that Anaconda's inst.repo boot option works together with a DVD.iso mounted over an NFS protocol as described in this test https://fedoraproject.org/wiki/QA:Testcase_install_repository_NFSISO_variation This on a ppc64le arch with f26 Fedora-Server-dvd-ppc64le-26-1.3.iso

I am able to reach the vnc choice panel but then I get an error to mount the dvd iso over nfs and get a crash with "pane is dead"

hereafter is what I see in the screen:
File "/usr/lib64/python3.6/site-packages/pyanaconda/anaconda.py", line 165, in storage            
    self._set_default_fstype(self._storage)                                     
  File "/usr/lib64/python3.6/site-packages/pyanaconda/anaconda.py", line 239, in _set_default_fstype                    
    storage.set_default_fstype(fstype)  
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock              
    return m(*args, **kwargs)           
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 1597, in set_default_fstype        
    self._check_valid_fstype(newtype)   
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock              
    return m(*args, **kwargs)           
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 1572, in _check_valid_fstype       
    raise ValueError("new value %s is not valid as a default fs type" % newtype)
ValueError: new value xfs is not valid as a default fs type   


before the crash, this is in syslog:
09:51:04,541 INFO kernel:RPC: Registered named UNIX socket transport module.
09:51:04,541 INFO kernel:RPC: Registered udp transport module.
09:51:04,541 INFO kernel:RPC: Registered tcp transport module.
09:46:40,545 INFO kernel:RPC: Registered tcp NFSv4.1 backchannel transport module.
09:46:40,556 ERR systemd-tmpfiles:Failed to open 'rpcbind.conf': No such file or directory
09:46:40,557 INFO dracut-pre-udev:rpcbind: /run/rpcbind/rpcbind.lock: No such file or directory
09:46:40,573 NOTICE rpc.statd:Version 2.1.1 starting
09:46:40,578 NOTICE rpc.statd:Initializing NSM state
09:46:40,578 WARNING rpc.statd:Running as root.  chown /var/lib/nfs/statd to choose different user
09:46:40,581 ERR rpc.statd:Failed to register (statd, 1, udp): svc_reg() err: RPC: Remote system error - Connection refused
09:46:40,584 ERR rpc.statd:Failed to register (statd, 1, tcp): svc_reg() err: RPC: Remote system error - Connection refused
09:46:40,587 ERR rpc.statd:Failed to register (statd, 1, udp6): svc_reg() err: RPC: Remote system error - Connection refused
09:46:40,589 ERR rpc.statd:Failed to register (statd, 1, tcp6): svc_reg() err: RPC: Remote system error - Connection refused
09:46:40,590 ERR rpc.statd:failed to create RPC listeners, exiting
09:46:40,595 INFO dracut-pre-udev:rpc.idmapd: conf_reinit: open ("(null)", O_RDONLY) failed


Note that if I try to mount the dvd iso manually in the anaconda console, I get this:
[anaconda root@vm90 /]# mkdir /iostest
[anaconda root@vm90 /]# mount 9.101.19.93:/share /isotest
mount.nfs: rpc.statd is not running but is required for remote locking.
mount.nfs: Either use '-o nolock' to keep locks local, or start statd.

[anaconda root@vm90 /]# mount -o nolock 9.101.19.93:/share /isotest
[anaconda root@vm90 /]# ls /isotest
Fedora-Server-dvd-ppc64le-Rawhide-20170702.n.0.iso

Comment 1 Fedora End Of Life 2018-05-03 08:03:59 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 11:22:32 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.